> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampartcorporation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> Follow this guide to setup authorization and make your first request to the Rampart API.

### Step 1: Get your Rampart API key

You can get your Rampart API key from the [Rampart Command Center](https://command.rampartcorporation.com/) or by requesting access from support. Never expose any of these keys in client-side code.

### Step 2: Make your first API Call

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://api.rampartcorporation.com/ping" \
    -H "Authorization: Bearer {RAMPART_API_KEY}"
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.rampartcorporation.com/ping"

  payload = {}

  headers = {
    'Authorization': 'Bearer <RAMPART_API_KEY>'
  }

  response = requests.request("GET", url, headers=headers, data=payload)

  print(response.text)
  ```

  ```javascript JavaScript theme={null}
  const myHeaders = new Headers();
  myHeaders.append("Authorization", "Bearer <RAMPART_API_KEY>");

  const requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow"
  };

  fetch("https://api.rampartcorporation.com/ping", requestOptions)
    .then((response) => response.text())
    .then((result) => console.log(result))
    .catch((error) => console.error(error));
  ```

  ```php PHP theme={null}
  <?php

  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://api.rampartcorporation.com/ping',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => array(
      'Authorization: Bearer <RAMPART_API_KEY>'
    ),
  ));

  $response = curl_exec($curl);

  curl_close($curl);
  echo $response;
  ```

  ```go Go theme={null}
  package main

  import (
    "fmt"
    "net/http"
    "io"
  )

  func main() {

    url := "https://api.rampartcorporation.com/ping"
    method := "GET"

    client := &http.Client {
    }
    req, err := http.NewRequest(method, url, nil)

    if err != nil {
      fmt.Println(err)
      return
    }
    req.Header.Add("Authorization", "Bearer <RAMPART_API_KEY>")

    res, err := client.Do(req)
    if err != nil {
      fmt.Println(err)
      return
    }
    defer res.Body.Close()

    body, err := io.ReadAll(res.Body)
    if err != nil {
      fmt.Println(err)
      return
    }
    fmt.Println(string(body))
  }
  ```

  ```java Java theme={null}
  Unirest.setTimeouts(0, 0);
  HttpResponse<String> response = Unirest.get("https://api.rampartcorporation.com/ping")
    .header("Authorization", "Bearer <RAMPART_API_KEY>")
    .asString();
  ```
</CodeGroup>
